Bug 850597 - rhevm-shell does not exit shell when using an external file with commands using -f option
rhevm-shell does not exit shell when using an external file with commands usi...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-cli (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael Pasternak
Ilia Meerovich
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-21 18:42 EDT by Marcelo Giles
Modified: 2016-02-10 14:20 EST (History)
8 users (show)

See Also:
Fixed In Version: si16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:57:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcelo Giles 2012-08-21 18:42:49 EDT
Description of problem:

When running the rhevm-shell (ovirt-shell), for example:

rhevm-shell -c -f commands-file 

assuming that the content of commands-file is:

clear
list vms
exit

The commands get executed but the shell remains open. If "exit" is typed manually, then it exits, as expected.

Version-Release number of selected component (if applicable):

rhevm-cli-3.1.0.7-1.el6ev
rhevm-sdk-3.1.0.5-1.el6ev

Note You need to log in before you can comment on or make changes to this bug.